@mixin make-grid-rows($rows: 12, $breakpoints: $grid-breakpoints) {

  %grid-row {
    min-width: 1px; 
  }

  @each $breakpoint in map-keys($breakpoints) {
    $infix: breakpoint-infix($breakpoint, $breakpoints);

    

    @include media-breakpoint-up($breakpoint, $breakpoints) {

      @for $i from 1 through $rows {
        .h#{$infix}-#{$i} {
          height: (($i/$rows)*100)+vh;
          min-height: (($i/$rows) * 550)+px;
        }
      }
      @for $i from 1 through 8{
        $_height: 100 + $i * 50;
        .h#{$infix}-#{$_height}{
          height: $_height+px;
        } 

      }
    }
  }
}

@include make-grid-rows();